import request from '@/utils/request'

// 查询迁入信息列表
export function listIn(query) {
  return request({
    url: '/basicData/xcrMoveIn/findByPage',
    method: 'get',
    params: query
  })
}

// 查询迁入信息详细
export function getIn(xhCodeId) {
  return request({
    url: '/basicData/xcrMoveIn/' + xhCodeId,
    method: 'get'
  })
}

// 新增迁入信息
export function addIn(data) {
  return request({
    url: '/basicData/xcrMoveIn',
    method: 'post',
    data: data
  })
}

// 修改迁入信息
export function updateIn(data) {
  return request({
    url: '/basicData/xcrMoveIn',
    method: 'put',
    data: data
  })
}

// 删除迁入信息
export function delIn(xhCodeId) {
  return request({
    url: '/basicData/xcrMoveIn/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInBatch(ids) {
  return request.post('/basicData/xcrMoveIn/delete',ids)
}
